# -*- coding: utf-8 -*-
import twitter # sudo pip install python-twitter
import facebook # sudo pip install facebook-sdk
from InstagramAPI import InstagramAPI # sudo pip install InstagramApi
from config import *
import os.path
import sys


# Pour twitter

def tweeter(Consumer_Key_Twitter,consumer_secret_twitter,access_token_twitter,access_token_secret_twitter,message, cheminImage = None):
    api = twitter.Api(Consumer_Key_Twitter,
                      consumer_secret_twitter,
                      access_token_twitter,
                      access_token_secret_twitter)
    api.PostUpdates(message, media = cheminImage)


# Pour Facebook
# Pour juste un message
def postFacebook(access_token_facebook, message):
    graph=facebook.GraphAPI(access_token_facebook)
    graph.put_object("me","feed", message=message)

# Pour une photo avec message
def postFacebookImage(access_token_facebook, message, cheminImage):
    graph=facebook.GraphAPI(access_token_facebook)
    graph.put_photo(image=open(cheminImage), message=message)


# Pour instagram

def postInstagram(login_instagram,password_instagram,cheminImage,message):
    connexion = InstagramAPI(login_instagram, password_instagram)
    connexion.login()
    connexion.uploadPhoto(cheminImage, caption=message)


def publier(message,cheminImage):

    if cheminImage == "": # On vérifie ici la présence ou non d'une image
        cheminImage = None
        Image = False
    else: # On vérifie ici que le chemin existe bel et bien
        if os.path.exists(cheminImage):
            Image = True
        else:
            return "Le chemin associé à l'image n'est pas valide."
    tweeter(consumer_key_twitter, consumer_secret_twitter, access_token_twitter, access_token_secret_twitter, message, cheminImage)
    if Image:
        postFacebookImage(access_token_facebook, message, cheminImage)
        postInstagram(login_instagram, password_instagram, cheminImage, message)
    else:
        postFacebook(access_token_facebook, message)
        print("Pas de post instagram car pas d'image")

# 
