# -*- coding: utf-8 -*-
import twitter # sudo pip install python-twitter
import facebook # sudo pip install facebook-sdk
from InstagramAPI import InstagramAPI # sudo pip install InstagramApi
from mastodon import Mastodon # sudo pip install Mastodon.py
from linkedin import linkedin # sudo pip install python-linkedin


from config import * # import des variables contenant les tokens

from datetime import datetime # import pour les dates

import os.path # import utilisant les chemins
import sys
import os
import glob

# Pour poster sur twitter

def tweeter(Consumer_Key_Twitter,consumer_secret_twitter,access_token_twitter,access_token_secret_twitter,message, cheminImage = None):
    api = twitter.Api(Consumer_Key_Twitter,
                      consumer_secret_twitter,
                      access_token_twitter,
                      access_token_secret_twitter)
    api.PostUpdates(message, media = cheminImage)


# Pour poster sur Facebook
# Pour un message
def postFacebook(access_token_facebook, message):
    graph=facebook.GraphAPI(access_token_facebook)
    graph.put_object("me","feed", message=message)

# Pour un message avec une photo
def postFacebookImage(access_token_facebook, message, cheminImage):
    graph=facebook.GraphAPI(access_token_facebook)
    graph.put_photo(image=open(cheminImage), message=message)


# Pour poster sur instagram

def postInstagram(login_instagram,password_instagram,cheminImage,message):
    connexion = InstagramAPI(login_instagram, password_instagram)
    connexion.login()
    connexion.uploadPhoto(cheminImage, caption=message)

# Pour poster sur LinkedIn

def postLinkedIn():
    app=linkedin.LinkedInApplication(access_token_linkedin)


# Pour poster sur Mastodon

# Pour un message
def postMastodon(access_token_mastodon, message):
    mastodon=Mastodon(access_token_mastodon, api_base_url='https://toot.aquilenet.fr/')
    mastodon.status_post(message,visibility='public')

# Pour un message avec une photo
def postMastodonImage(access_token_mastodon, message):
    mastodon=Mastodon(access_token_mastodon, api_base_url='https://toot.aquilenet.fr/')
    media=mastodon.media_post(cheminImage)
    mastodon.status_post(message,media_ids=media,visibility='public')



# Fonction qui sert à publier en cherchant les fichiers

def publier():
    for element in glob.glob("/home/useur/Bureau/API_reseau_social/A_Poster/*"):
                if element.endswith(".txt"):
                # Recupératon de la date actuelle
                    dateActuelle = datetime.today()
                    dateActuelle = dateActuelle.strftime("%d/%m/%Y %H:%M")
                    

                    fichier=open(element,"r")

                    # Récupère la date et l'heure
                    dateEtHeurePost=fichier.readline()
                    dateEtHeurePost=str(dateEtHeurePost)
                    dateEtHeurePost=dateEtHeurePost[12:-1]
                    dateEtHeurePost = datetime.strptime(dateEtHeurePost, "%d/%m/%Y %H:%M")
                    dateEtHeurePost = dateEtHeurePost.strftime("%d/%m/%Y %H:%M")

                    # Récupère là où on va publier
                    reseau=fichier.readline()
                    reseau=str(reseau)
                    reseau=reseau[11:-1]

                    # Récupère le message à publier
                    message=fichier.readline()
                    message=str(message)
                    message=message[6:-1]

                    # Récupère le chemin de l'image à publier si il y en a une
                    cheminImage=fichier.readline()
                    cheminImage=str(cheminImage)
                    cheminImage=cheminImage[6:-1]
                    
                    fichier.close()


                    if dateActuelle>dateEtHeurePost:
                        
                            
                        fichier=open(element,"r")
                        fb="Facebook"
                        twtt="Twitter"
                        insta="Instagram"
                        masto="Mastodon"
                        linked="Linkedin"
                        for ligne in fichier:
                            # On verifie la présence du mot clé pour publier sur tel ou tel réseau
                            if fb in reseau:
                                # Pour facebook, avec un test si il y a une image ou non
                                if cheminImage == "": 
                                    postFacebook(access_token_facebook, message)
                                else:
                                    postFacebookImage(access_token_facebook, message, cheminImage)
                                # Pour twitter
                            if twtt in reseau: 
                                tweeter(consumer_key_twitter, consumer_secret_twitter, access_token_twitter, access_token_secret_twitter, message, cheminImage)
                            # Pour instagram, en vérifiant qu'il y ait bien une image pour poster
                            if insta in reseau: 
                                postInstagram(login_instagram, password_instagram, cheminImage, message)
                            if masto in reseau:
                                if cheminImage == "":
                                    postMastodon(access_token_mastodon, message)
                                else:
                                    postMastodon(access_token_mastodon, message, cheminImage)
                            if linked in reseau:
                                postLinkedIn()
                        fichier.close()
                        # Si la publication a été publiée, le fichier texte est déplacé dans un dossier servant d'historique
                        fichier_source=open(element,"r")
                        contenu_fichier_source=fichier_source.read()
                        fichier_source.close()
                        os.remove(element)

                        date=str(dateEtHeurePost)
                        date = datetime.strptime(date, "%d/%m/%Y %H:%M")
                        date = date.strftime("%d.%m.%Y_%H:%M")
                        
                        
                        fichier_deplace=open("/home/useur/Bureau/API_reseau_social/Historique/pub"+date+".txt","w")
                        fichier_deplace.write(contenu_fichier_source)
                        fichier_deplace.close()

        
    

# Publication

publier()
            

