# -*- coding: utf-8 -*-

import twitter # sudo pip install python-twitter
from InstagramAPI import InstagramAPI # sudo pip install InstagramApi
from mastodon import Mastodon # sudo pip install Mastodon.py


# Import pour poster sur facebook et linkedin   # sudo pip install selenium
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
from time import sleep
from selenium.common.exceptions import TimeoutException
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.support.ui import Select
from selenium.webdriver.common.by import By
from selenium.webdriver.support import expected_conditions
from selenium.common.exceptions import NoSuchElementException
import time

from config import * # import des variables contenant les tokens

from datetime import datetime # import pour les dates

import os.path # import utilisant les chemins
import sys
import os
import glob

# Pour poster sur twitter

def tweeter(Consumer_Key_Twitter,consumer_secret_twitter,access_token_twitter,access_token_secret_twitter,message, cheminImage = None):
    api = twitter.Api(Consumer_Key_Twitter,
                      consumer_secret_twitter,
                      access_token_twitter,
                      access_token_secret_twitter)
    message=unicode(message.decode('utf-8'))
    api.PostUpdates(message, media = cheminImage)


# Pour poster sur Facebook
def postFacebook(email_fb, mdp_fb,message, urlImage):

    # Ouverture de Firefox
    driver = webdriver.Firefox(executable_path=r'/home/useur/Téléchargements/geckodriver-v0.24.0-linux64/geckodriver')
    # Ouverture de Facebook par son lien
    driver.get('https://www.facebook.com/login.php?login_attempt=1&lwv=110')
    
    # Remplissage de l'email
    email = driver.find_element_by_xpath("//input[@id='email' or @name='email']")
    email.send_keys(email_facebook)
    
    # Remplissage du mdp
    password = driver.find_element_by_xpath("//input[@id='pass']")
    password.send_keys(mdp_facebook)

    # Clique sur le bouton pour se connecter
    button = driver.find_element_by_xpath("//button[@id='loginbutton']")
    button.click()

    # Clique sur la page
    page=driver.find_element_by_xpath("/html/body/div[1]/div[3]/div[1]/div/div[2]/div[1]/div/div/div/div/div[3]/div[2]/ul/li/a/div[2]")
    page.click()

    time.sleep(5)

    message=unicode(message.decode('utf-8'))

    message=message+"   "+urlImage+" "
    
    # Ecrit le message
    status= driver.find_element_by_xpath("/html/body/div[1]/div[3]/div[1]/div/div/div[2]/div[2]/div[2]/div/div[2]/div[2]/div/div[1]/div/div[2]/div/div[1]/div[1]/div/div[2]/div/div/div/div/div[2]/div/div[1]/div/span/div/div[2]/div/div/div/div/div/div/div[2]/div")
    status.send_keys(message)

    time.sleep(10)

    # Poste le statut
    postbutton=driver.find_elements_by_tag_name('button')
    for button in postbutton:
        if button.text == "Publier":
            button.click()

    time.sleep(5)

    # Ferme Firefox
    driver.close()


# Pour poster sur instagram

def postInstagram(login_instagram,password_instagram,cheminImage,message):
    connexion = InstagramAPI(login_instagram, password_instagram)
    connexion.login()
    connexion.uploadPhoto(cheminImage, caption=message)


# Pour poster sur LinkedIn

def postLinkedIn(email_linkedin, mdp_linkedin, message, urlImage):
    # Ouverture de Firefox
    driver2 = webdriver.Firefox(executable_path=r'/home/useur/Téléchargements/geckodriver-v0.24.0-linux64/geckodriver')
    # Ouverture de LinkedIn par son lien
    driver2.get('https://www.linkedin.com/')
    
    # Remplissage de l'email
    email = driver2.find_element_by_xpath("//input[@id='login-email' or @name='session_key']")
    email.send_keys(email_linkedin)
    
    # Remplissage du mdp
    password = driver2.find_element_by_xpath("//input[@id='login-password']")
    password.send_keys(mdp_linkedin)

    # Clique sur le bouton pour se connecter
    button_login = driver2.find_element_by_xpath("//input[@id='login-submit']")
    button_login.click()

    # Clique pour commencer son statut
    statusbutton=driver2.find_elements_by_tag_name('button')
    for button in statusbutton:
        if button.text == "Commencer un post":
            button.click()

    message=unicode(message.decode('utf-8'))

    message=message+" "+urlImage+" "
    
    # Ecrit le message
    status=driver2.find_element_by_xpath("/html/body/div[4]/div[7]/div[3]/div/div/div/div/div[1]/div[2]/div[1]/div[2]/div/div/div[1]")
    status.send_keys(message)

    # Poste le statut
    btnPost=driver2.find_element_by_xpath("/html/body/div[4]/div[7]/div[3]/div/div/div/div/div[1]/div[2]/div[2]/div[2]/button/span")
    btnPost.click()
    
    time.sleep(5)

    # Ferme Firefox
    driver2.close()


# Pour poster sur Mastodon

# Pour un message
def postMastodon(access_token_mastodon, message):
    mastodon=Mastodon(access_token_mastodon, api_base_url='https://toot.aquilenet.fr/')
    mastodon.status_post(message,visibility='public')

# Pour un message avec une photo
def postMastodonImage(access_token_mastodon, message,cheminImage):
    mastodon=Mastodon(access_token_mastodon, api_base_url='https://toot.aquilenet.fr/')
    media=mastodon.media_post(cheminImage)
    mastodon.status_post(message,media_ids=media,visibility='public')



# Fonction qui sert à publier en cherchant les fichiers

def publier():
    for element in glob.glob("/home/useur/Bureau/API_reseau_social/A_Poster/*"):
                if element.endswith(".txt"):
                # Recupératon de la date actuelle
                    dateActuelle = datetime.today()
                    dateActuelle = dateActuelle.strftime("%d/%m/%Y %H:%M")
                    

                    fichier=open(element,"r")

                    # Récupère la date et l'heure
                    dateEtHeurePost=fichier.readline()
                    dateEtHeurePost=str(dateEtHeurePost)
                    dateEtHeurePost=dateEtHeurePost[12:-1]
                    dateEtHeurePost = datetime.strptime(dateEtHeurePost, "%d/%m/%Y %H:%M")
                    dateEtHeurePost = dateEtHeurePost.strftime("%d/%m/%Y %H:%M")

                    # Récupère là où on va publier
                    reseau=fichier.readline()
                    reseau=str(reseau)
                    reseau=reseau[8:-1]

                    # Récupère le message à publier
                    message=fichier.readline()
                    message=str(message)
                    message=message[6:-1]

                    # Récupère le chemin de l'image à publier si il y en a une
                    cheminImage=fichier.readline()
                    cheminImage=str(cheminImage)
                    cheminImage=cheminImage[6:-1]

                    # Récupère l'url de l'image pour facebook et linkedin
                    urlImage=fichier.readline()
                    urlImage=str(urlImage)
                    urlImage=urlImage[9:-1]
                    
                    fichier.close()


                    if dateActuelle>dateEtHeurePost:
                        
                            
                        fichier=open(element,"r")
                        fb="Facebook"
                        twtt="Twitter"
                        insta="Instagram"
                        masto="Mastodon"
                        linked="Linkedin"
                        
                        # On verifie la présence du mot clé pour publier sur tel ou tel réseau
                        if fb in reseau:
                            postFacebook(email_facebook, mdp_facebook,message,urlImage)
                        # Pour twitter
                        if twtt in reseau:
                            tweeter(consumer_key_twitter, consumer_secret_twitter, access_token_twitter, access_token_secret_twitter, message, cheminImage)
                        # Pour instagram, en vérifiant qu'il y ait bien une image pour poster
                        if insta in reseau: 
                            postInstagram(login_instagram, password_instagram, cheminImage, message)
                        # Pour Mastodon
                        if masto in reseau:
                            if cheminImage == "":
                                postMastodon(access_token_mastodon, message)
                            else:
                                postMastodon(access_token_mastodon, message, cheminImage)
                        # Pour LinkedIn
                        if linked in reseau:
                            postLinkedIn(email_linkedin, mdp_linkedin, message,urlImage)
                        fichier.close()
                        # Si la publication a été publiée, le fichier texte est déplacé dans un dossier servant d'historique
                        fichier_source=open(element,"r")
                        contenu_fichier_source=fichier_source.read()
                        fichier_source.close()
                        os.remove(element)

                        date=str(dateEtHeurePost)
                        date = datetime.strptime(date, "%d/%m/%Y %H:%M")
                        date = date.strftime("%d.%m.%Y_%H:%M")
                        
                        
                        fichier_deplace=open("/home/useur/Bureau/API_reseau_social/Historique/Publication_du_"+date+".txt","w")
                        fichier_deplace.write(contenu_fichier_source)
                        fichier_deplace.close()

        
    

# Publication

publier()
            

